<?php get_header(); ?>
		<div id="container">
			<div id="content" role="main">
			<?php if ( have_posts() ) : ?>
		<h1 class="tag-page-title"><?php printf( __( 'Search Results for: %s', 'Pia' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		<?php while ( have_posts() ) : the_post();
		
				if ( has_post_format( 'status' )){ /*check if its only a status update*/
				?>
				<div class="pia-status-date"><?php the_time('d') ?><br/><?php the_time('M') ?></div>
					<div class="status">
						<div class="status-avatar">
							<?php
							echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 40 ) ); 	
							?>
						</div>
						<div class="status-meta">
							<?php 
							the_author_posts_link();
							echo ':<br/>';
							edit_post_link( __( 'Edit', 'Pia' ));
							?>
						</div>
					<?php 
					/*Limit characters...*/
					the_excerpt();		
					?>
				</div>
	<?php } else {?>
	
			<div <?php post_class(); ?>>
				<div class="pia-date"><a href="<?php the_permalink(); ?>"><?php the_time('d') ?><br/><?php the_time('M') ?></a></div>
					<div class="post-top"> 
					<h2 class="front-title"><a href="<?php the_permalink(); ?>" title="<?php printf ( __('Permalink to %s', 'Pia' ), the_title_attribute( 'echo=0' )); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					<div class="entry-meta">
			<?php if ( count( get_the_category() ) ) : ?>
					<span class="cat-links entry-utility-prep entry-utility-prep-cat-links">
					<?php echo __('Posted by ', 'Pia');
					the_author_posts_link();
					?>
					<span class="meta-sep">|</span>
					<?php echo get_the_category_list(', '); ?>
					</span>
					<span class="meta-sep">|</span>
			<?php endif; ?>
				<?php
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
				?>
					<span class="tag-links">
						<?php printf( __( '<span class="%1$s">Tagged</span> %2$s', 'Pia' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
					</span>
					<span class="meta-sep">|</span>
				<?php endif; ?>
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'Pia' ), __( '1 Comment', 'Pia' ), __( '% Comments', 'Pia' ) ); ?></span>
				<?php edit_post_link( __( 'Edit', 'Pia' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
			
			</div><!-- .entry-meta -->
				</div>	
					<div class="entry-content">
					<?php
			if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
						the_post_thumbnail();
			}
			
			if ( has_post_format( 'gallery' ) or has_post_format( 'image' ) or has_post_format( 'quote' ) or has_post_format( 'aside' ) or has_post_format( 'link' ) or has_post_format('video') or has_post_format('audio')) {
				 the_content();	
			}else {
				the_excerpt(); 
			 }
			 ?>
			</div><!-- .entry-content -->
					<div class="single-entry-utility"> </div><!-- .entry-utility -->
				</div><!-- #post-## -->
		<?php
		}
		endwhile; // End the loop. Whew. ?>
		
		<?php wp_reset_query(); //reset and get pages. ?>
		<?php if ( have_posts() ) : ?>
			<?php $query = query_posts("$query_string . '&posts_per_page=-1&post_type=page'"); ?> 
			<?php while ( have_posts() ) : the_post(); ?>
			<div <?php post_class(); ?>>
					<div class="page-post-top"> 
					<h2 class="front-title"><a href="<?php the_permalink(); ?>" title="<?php printf ( __('Permalink to %s', 'Pia' ), the_title_attribute( 'echo=0' )); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					<div class="entry-meta">
						<?php edit_post_link( __( 'Edit', 'Pia' ), '<span class="edit-link">', '</span>' ); ?>
						</div><!-- .entry-meta -->
					</div>	
					<div class="entry-content">
					<?php the_excerpt(); ?>
			</div><!-- .entry-content -->
					<div class="single-entry-utility"> </div><!-- .entry-utility -->
				</div><!-- #post-## -->
		<?php 
		endwhile; // End the loop. Whew. ?>
<?php endif; ?>

<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'Pia' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'Pia' ) ); ?></div>
				</div><!-- #nav-below -->
		<?php endif; ?>
<?php else : ?>
				<div id="post-0" class="post no-results not-found">
					<div class="post-top">
					<h2 class="front-title"><?php _e( 'Nothing Found', 'Pia' ); ?></h2>
					</div>
					<div class="page-entry-content">
						<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'Pia' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
					<div class="page-entry-utility"> </div><!-- .entry-utility -->
				</div><!-- #post-## -->
<?php endif; ?>
		
			</div><!-- #content -->
		</div><!-- #container -->
<?php get_footer(); ?>
