<?php get_header(); ?>
		<div id="container">
			<div id="content" role="main">
				<?php if ( have_posts() ) : the_post();
					$query = query_posts("$query_string . '&posts_per_page=-1&post_type=slider'");
				?>
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="single-post-top">
							<h2 class="single-entry-title"><?php the_title(); ?></h2>
							<div class="entry-meta">
								<?php if ( count( get_the_category() ) ) : ?>
									<span class="cat-links entry-utility-prep entry-utility-prep-cat-links">
										<?php echo __('Posted by ', 'Pia');
										the_author_posts_link();
										echo __(' on ','Pia'); ?>
										<?php the_time('d') ?> <?php the_time('M') ?> <?php the_time('Y') ?>
										<span class="meta-sep">|</span>
										<?php echo get_the_category_list(', '); ?>
									</span>
									<span class="meta-sep">|</span>
								<?php endif; ?>
								<?php
								$tags_list = get_the_tag_list( '', ', ' );
								if ( $tags_list ):
									?>
									<span class="tag-links">
									<?php printf( __( '<span class="%1$s">Tagged</span> %2$s', 'Pia' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
									</span>
									<span class="meta-sep">|</span>
							<?php endif; ?>
							<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'Pia' ), __( '1 Comment', 'Pia' ), __( '% Comments', 'Pia' ) ); ?></span>
								<?php edit_post_link( __( 'Edit', 'Pia' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
							</div><!-- .entry-meta -->
						</div>	<!-- .single-post-top -->
						<div class="entry-content">
						<?php if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
								the_post_thumbnail();
							} 
							 the_content(); 
							 wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'Pia' ), 'after' => '</div>' ) ); ?>
						</div><!-- .entry-content -->
						<div class="single-entry-utility"> </div><!-- .entry-utility -->	
						<?php 			
						if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
							<div id="entry-author-info">
								<div id="author-avatar"><?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'Pia_author_bio_avatar_size', 60 ) ); ?></div><!-- #author-avatar -->
								<div id="author-description">
									<h2><?php printf( esc_attr__( 'About %s', 'Pia' ), get_the_author() ); ?></h2>
									<?php the_author_meta( 'description' ); ?>
									<div id="author-link"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'Pia' ), get_the_author() ); ?></a></div><!-- #author-link	-->
								</div><!-- #author-description -->
							</div><!-- #entry-author-info -->
						<?php 
						endif;
							$tags = wp_get_post_tags($post->ID);
								if ($tags) {
									$tag_ids = array();
									foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
										$args=array('tag__in' => $tag_ids,
													'post__not_in' => array($post->ID),
													'showposts'=>4, // Number of related posts that will be shown.
													'ignore_sticky_posts'=>1
										);
									$my_query = new wp_query($args);
									if( $my_query->have_posts() ) { ?>
										<div id="related-posts">
											<div id="related-posts-social">
												<h2><?php echo __('Related Posts: ','Pia');?></h2>
											</div>
											<?php 
											while ($my_query->have_posts()) {
												$my_query->the_post();
												?>
												<div id="related-posts-content">
													<?php if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
															the_post_thumbnail(array(60,60));
														}else 
															echo '<br/> <br/>';	?>
														<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a><br/>
												</div>
											<?php 
											} 		
										echo '</div>';
									}
					}
					 wp_reset_query();
					?>
				</div><!-- #post-## -->
				<?php comments_template( '', true ); 
				endif; ?>
			</div><!-- #content -->
		</div><!-- #container -->
<?php get_footer(); ?>